<?php
namespace Console;

class Application extends Shared\Application{
    private $dataManager;
    private Menu $currentMenu;
    public function __construct(DataManager $dataManager) {
        $this->dataManager = $dataManager;
        $this->currentMenu = new AuthMenu();
    }
    public function run()
    {
        while (true) {
            if (!$this->authenticationController->isLoggedIn()) {
                $this->authenticationController->displayAuthMenu();
            } else {
                $this->menuController->displayMainMenu();
            }
        }
    }
}
