<?php

abstract class Menu implements IPrinter {
    protected ClearScreenCommand $clearScreenCommand;

    public function __construct()
    {
        $this->clearScreenCommand = new ClearScreenCommand();
    }

    protected function clearScreen()
    {
        $this->clearScreenCommand->execute();
    }

    abstract public function display();

}
